EDIT - bug #4884

Update Reference_AUD.refType to allow NULL
05/05/2015 12:32 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8

Severity: normal Found in Version:

Description

Write update script to allow NULL for Reference_AUD.refType

see #4885 to see why this is needed

Associated revisions

Revision 68768f85 - 07/24/2019 06:12 PM - Andreas Miiller
ref #4884 unify datatype handling in schema updaters

Revision d9b56bd4 - 07/24/2019 06:13 PM - Andreas Miiller
ref #4884 allow null for Reference_AUD.refType

History

#1 - 06/18/2015 11:56 AM - Katja Luther

in the update script the Reference_AUD.reftype allows NULL, but that creates a new column reftype. We need to allow NULL for the column refType.

#2 - 06/18/2015 02:05 PM - Andreas Miller

- Category changed from cdmlib to cdm

update script does not exist yet!

#3 - 06/18/2015 02:05 PM - Andreas Miiller
- Target version deleted (cdmlib RELEASE 3.5.2)

#4 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#5 - 07/08/2016 08:51 PM - Andreas Miiller
- Priority changed from Highest to Priority13

#6 - 12/01/2016 01:53 PM - Andreas Miiller
- Description updated
- Target version changed from CDM UML 4.1 to COM UML 4.7

#7 - 06/07/2017 01:25 AM - Andreas Miiller
- Priority changed from Priority13 to Highest

#8 - 06/07/2017 01:25 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#9 - 05/14/2018 01:55 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#10 - 05/05/2019 11:19 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#11 - 07/24/2019 05:58 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.8

#12 - 07/24/2019 05:59 PM - Andreas Miiller

- Private changed from Yes to No

#13 - 07/24/2019 07:49 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 90

#14 - 08/16/2019 01:14 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

| guess this works.
